From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 20 May 2007<P>

They May Blender Issue is (FINALLY) here...<BR>
<BR>
Guys, I'm really sorry for the delay. I don't have a super terrific excuse. My weekends have been kind of full of helping my friend in his new old house refurbishment mission, and then last week I was on a road trip to my mom's for mother's day... <BR>
<BR>
April was a terrific month for writing, especially some of the prose pieces really knocked me over. Sometimes lovely, sometimes dark, always compelling.<BR>
<BR>
I didn't mean for it to be quite so late... or to not hang out much here. As aparajita pointed out, I have been keeping kisrael.com up to date, and didn't mean to spook anyone...
<HR>